package com.bassbooster.soundeffects.equalizer.view.activity.policy

import android.annotation.SuppressLint
import android.os.Bundle
import androidx.appcompat.app.AppCompatActivity
import com.bassbooster.equalizer.databinding.ActivityPolicyBinding
import com.bassbooster.soundeffects.equalizer.utils.Utils

class PolicyActivity : AppCompatActivity(){
    private lateinit var binding: ActivityPolicyBinding

    override fun onCreate(savedInstanceState: Bundle?) {
        super.onCreate(savedInstanceState)
        binding = ActivityPolicyBinding.inflate(layoutInflater)
        val view = binding.root
        setContentView(view)
        init()
        setOnEvent()
    }

    @SuppressLint("SetJavaScriptEnabled")
    private fun init() {
//        AppOpenManager.getInstance()
//            .disableAdResumeByClickAction()

        binding.webview.loadUrl("https://sites.google.com/view/equalizer-bass-booster-policy/home")
        binding.webview.settings.javaScriptEnabled = true
    }

    private fun setOnEvent() {
        binding.imgBack.setOnClickListener {
            finish()
        }
    }


    override fun onPause() {
        super.onPause()
        Utils.hideAdsResume()
    }

}